unit Unit4;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, DB, DBCtrls, DBGrids, ExtCtrls, RxDBGrid, SQLDB, SysUtils, Forms, Controls, Graphics;

type
  TFrame1 = class(TFrame)
    DataSource1 : TDataSource;
    DBNavigator1 : TDBNavigator;
    Panel1 : TPanel;
    RxDBGrid1 : TRxDBGrid;
    SQLQuery1 : TSQLQuery;
    SQLQuery1A : TLongintField;
    SQLQuery1T1 : TMemoField;
    SQLQuery1T2 : TMemoField;
    SQLQuery1T3 : TMemoField;
    SQLQuery1T4 : TMemoField;
    procedure RxDBGrid1GetCellProps(Sender : TObject; Field : TField; AFont : TFont; var Background : TColor);
  private

  public
    procedure OpenData;
  end;

implementation

{$R *.lfm}

procedure TFrame1.RxDBGrid1GetCellProps(Sender : TObject; Field : TField; AFont : TFont; var Background : TColor);
begin
  if SQLQuery1.Active then
  begin
    if (Field = SQLQuery1A) then
    begin
      if (SQLQuery1A.AsInteger mod 2 = 0) then
        Background :=clSkyBlue;
    end
    else
    if (Field = SQLQuery1T1) then
    begin
      if (SQLQuery1T1.AsString = 'A1') then
        Background :=clSilver;
    end;
  end;
end;

procedure TFrame1.OpenData;
begin
  SQLQuery1.Open;
end;

end.

